Public Attributes | List of all members
hal_gfx_event_t Struct Reference
Graphics » HAL GFX » GFX EVENT » Structure

Event Structure for Graphics. More...

`#include <hal_gfx_event.h>`

## Public Attributes
int | mouse_x
| x-coordinate for mouse More...
int | mouse_y
| y-coordinate for mouse More...
int | mouse_dx
| delta x-coordinate for mouse More...
int | mouse_dy
| delta y-coordinate for mouse More...
int | mouse_event
| mouse event More...
int | mouse_state
| mouse state More...
int | kb_event
| keyboard event More...
char | kb_key
| keyboard key value More...
int | timer_id
| timer id More...
uint32_t | timer_expirations
| expire time More...

## Detailed Description

Event Structure for Graphics.

Definition at line 119 of file hal_gfx_event.h.

## Member Data Documentation

## ◆ kb_event

int hal_gfx_event_t::kb_event

keyboard event

Definition at line 126 of file hal_gfx_event.h.

## ◆ kb_key

char hal_gfx_event_t::kb_key

keyboard key value

Definition at line 127 of file hal_gfx_event.h.

## ◆ mouse_dx

int hal_gfx_event_t::mouse_dx

delta x-coordinate for mouse

Definition at line 122 of file hal_gfx_event.h.

## ◆ mouse_dy

int hal_gfx_event_t::mouse_dy

delta y-coordinate for mouse

Definition at line 123 of file hal_gfx_event.h.

## ◆ mouse_event

int hal_gfx_event_t::mouse_event

mouse event

Definition at line 124 of file hal_gfx_event.h.

## ◆ mouse_state

int hal_gfx_event_t::mouse_state

mouse state

Definition at line 125 of file hal_gfx_event.h.

## ◆ mouse_x

int hal_gfx_event_t::mouse_x

x-coordinate for mouse

Definition at line 120 of file hal_gfx_event.h.

## ◆ mouse_y

int hal_gfx_event_t::mouse_y

y-coordinate for mouse

Definition at line 121 of file hal_gfx_event.h.

## ◆ timer_expirations

uint32_t hal_gfx_event_t::timer_expirations

expire time

Definition at line 129 of file hal_gfx_event.h.

## ◆ timer_id

int hal_gfx_event_t::timer_id

timer id

Definition at line 128 of file hal_gfx_event.h.

The documentation for this struct was generated from the following file:

- hal_gfx_event.h